<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>New Mutants Lethal Legion</Series>
  <Number>2</Number>
  <Web>https://www.amazon.com/dp/B0BSVMBYHL</Web>
  <Summary>THE NEW MUTANTS JOIN THE LETHAL LEGION?! That’s right, Count Nefaria is recruiting — and the New Mutants are lining up for the job! When Escapade, Scout and Cerebella set out to rob from the rich, they’ll find themselves in way over their heads. But surely the OG team will come rescue them, right? Only, Wolfsbane’s trapped in a sewer with a very angry beastie, Magik’s got X-Men business and Dani and Karma have no idea their young charges are in trouble. And make no mistake — between a room full of hardened criminals and a bottle of very expensive grappa, the kids are NOT all right.</Summary>
  <Notes>Scraped metadata from Amazon [ASINB0BSVMBYHL], [RELDATE:2023-04-19]</Notes>
  <Publisher>Marvel</Publisher>
  <Genre>Superhero</Genre>
  <PageCount>25</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
